[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'types' (#rtl)

# IStream.CopyTo

Copy data from one stream to another

## Declaration

Source position: types.pp line 279

`function IStream.CopyTo(`
`stm: IStream;`
`cb: Largeint;`
`out cbRead: Largeint;`
`out cbWritten: Largeint`
`):HRESULT;`

## Description

CopyTo copies cb bytes from the stream to target stream stm. cbRead returns how many bytes were read from the stream, cbwrite returns how many bytes were actually written to the destination stream. The function returns zero on success.

## Errors

On error, a nonzero exit code is returned.

Documentation generated on: Feb 26 2014